# (c) cavaliba.com

# APP

# -----------------------------------
#  app permissions
# -----------------------------------

- classname: _permission
  keyname: p_data_app_admin
  description: "data_app admin permission"
  displayname: "p_data_app_admin"
  
     

- classname: _permission
  keyname: p_data_app_create
  description: "data_app create permission"
  displayname: p_data_app_create
  
     

- classname: _permission
  keyname: p_data_app_read
  description: "data_app read permission"
  displayname: p_data_app_read
  
     

- classname: _permission
  keyname: p_data_app_update
  description: "data_app update permission"
  displayname: p_data_app_update
  
     
      
- classname: _permission
  keyname: p_data_app_delete
  description: "data_app delete permission"
  displayname: p_data_app_delete
  

# --------------------------------------------
# app schemas
# --------------------------------------------

- classname: _schema
  keyname: app
  displayname: Applications
  _action: init
  is_enabled: yes
  order: 210
  page: Asset Management

  _options:
      icon: fa-window-maximize
      p_admin: p_data_app_admin
      p_create: p_data_app_create
      p_read: p_data_app_read
      p_update: p_data_app_update
      p_delete: p_data_app_delete

  description:
      displayname: Description
      order: 100
      dataformat: string

  notify_user:
      displayname: Notify (Users)
      page: Notifications
      order: 200
      dataformat: user
      cardinal_max: 0

  notify_group:
      displayname: Notify (Groups)
      page: Notifications
      order: 210
      dataformat: group
      cardinal_max: 0



# --------------------------------------------
# app dashboard
# --------------------------------------------

- classname: _home
  keyname: data_app
  displayname: Applications
  description: Applications
  icon: fa-firefox
  url: /data/private/c/app/list/
  dashboard_section: Asset Management
  sidebar_section: Asset Management
  order: 210
  permission: p_data_app_read
  _action: init
